package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasEduClassroom;
import com.koobietech.eas.mbg.model.EasEduClassroomExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasEduClassroomMapper {
    long countByExample(EasEduClassroomExample example);

    int deleteByExample(EasEduClassroomExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasEduClassroom record);

    int insertSelective(EasEduClassroom record);

    List<EasEduClassroom> selectByExample(EasEduClassroomExample example);

    EasEduClassroom selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasEduClassroom record, @Param("example") EasEduClassroomExample example);

    int updateByExample(@Param("record") EasEduClassroom record, @Param("example") EasEduClassroomExample example);

    int updateByPrimaryKeySelective(EasEduClassroom record);

    int updateByPrimaryKey(EasEduClassroom record);
}